curl --location --request GET 'https://app.gpt-trainer.com/api/v1/session/{uuid}/messages' \
--header 'Authorization: Bearer <token>'
import requests
uuid = '<session-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/session/{uuid}/messages'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const uuid = "<session-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/session/${uuid}/messages`;
const headers = {
Authorization: "Bearer <token>",
};
axios
.get(url, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
[
{
"cite_data_json": "string",
"created_at": "string",
"finish_reason": "string",
"meta_json": "string",
"modified_at": "string",
"query": "string",
"response": "string",
"uuid": "string"
}
]
Session Messages
Fetch All Messages
Fetch the list of messages for a session specified by session uuid
GET
/
api
/
v1
/
session
/
{uuid}
/
messages
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/session/{uuid}/messages' \
--header 'Authorization: Bearer <token>'
import requests
uuid = '<session-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/session/{uuid}/messages'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const uuid = "<session-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/session/${uuid}/messages`;
const headers = {
Authorization: "Bearer <token>",
};
axios
.get(url, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
[
{
"cite_data_json": "string",
"created_at": "string",
"finish_reason": "string",
"meta_json": "string",
"modified_at": "string",
"query": "string",
"response": "string",
"uuid": "string"
}
]
Path
Session uuid
Response
object[]
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/session/{uuid}/messages' \
--header 'Authorization: Bearer <token>'
import requests
uuid = '<session-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/session/{uuid}/messages'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const uuid = "<session-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/session/${uuid}/messages`;
const headers = {
Authorization: "Bearer <token>",
};
axios
.get(url, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
[
{
"cite_data_json": "string",
"created_at": "string",
"finish_reason": "string",
"meta_json": "string",
"modified_at": "string",
"query": "string",
"response": "string",
"uuid": "string"
}
]
⌘I